import './object';
declare type AddUnits = 'days' | 'hours' | 'minutes' | 'seconds';
declare global {
    interface Date extends DateExtensions {
    }
    interface DateConstructor extends DateConstructorExtensions {
    }
}
declare class DateExtensions {
    clone(): Date;
    add(value: number, unit: AddUnits): Date;
    format(): string;
    format(format: string): string;
}
declare class DateConstructorExtensions {
    timeTaken(epoch: number): number;
    timeTaken(date: Date): number;
}
export {};
